Bug 488478 - gdb should Requires: python, not just python-libs
gdb should Requires: python, not just python-libs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
14
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 547870 625372
  Show dependency treegraph
 
Reported: 2009-03-04 10:30 EST by Jan Kratochvil
Modified: 2012-08-16 17:55 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:55:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2009-03-04 10:30:39 EST
Description of problem:
Found out i386 PythonGDB does not work on x86_64 as it requires unicode python support which requires /usr/lib/python2.5/encodings/ on x86_64.
/usr/lib64/python2.5/encodings/ is present in the main python.x86_64 rpm and thus it is not multilib.
/usr/lib*/python2.5/encodings/ should be multilib (and thus assuming to move it to python-libs).

Version-Release number of selected component (if applicable):
python-2.5.2-1.fc10.x86_64
(python-2.6-5.fc11.x86_64 looks to have the same problem)

How reproducible:
Always.

Steps to Reproduce:
1. Checkout PythonGDB: http://sourceware.org/gdb/wiki/PythonGdb
2. Build it using: CFLAGS="-m32" ./configure i386-unknown-linux-gnu
3. cd gdb/testsuite; make site.exp; runtest --target_board=unix/-m32 gdb.python/*.exp

Actual results:
PASSes (except gdb.python/python-frame.exp: test Frame.read_var_value - error)

Expected results:
Zillions of FAILs.

Additional info:
Do not know much python but some other directories besides `encodings/' may be also appropriate for multilib.
Comment 1 Jan Kratochvil 2009-09-18 10:38:18 EDT
On x86_64 system install:
  http://kojipkgs.fedoraproject.org/packages/gdb/6.8.91.20090917/2.fc12/i686/gdb-6.8.91.20090917-2.fc12.i686.rpm

It will start as python-libs is multilib.  But .so file without .py* is useless:
$ gdb
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
'import site' failed; use -v for traceback
Traceback (most recent call last):
  File "<string>", line 27, in <module>
ImportError: No module named os.path
GNU gdb (GDB) Fedora (6.8.91.20090917-2.fc12)
[...]
$ rpm -q python
python-2.6.2-2.fc12.x86_64
$ rpm -ql python | grep '/os[.]py$'
/usr/lib64/python2.6/os.py

But `python' is distributed only as x86_64, it has no i686 multilib rpm.
Comment 2 Bug Zapper 2009-11-16 04:50:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jan Kratochvil 2010-07-15 16:50:27 EDT
In F-13 there became multilib the whole python package containing all the necessary python modules.  Therefore gdb should just change:
  Requires: python-libs%{?_isa}
->
  Requires: python%{?_isa}
and everything will start to work.

Going to do so for F-14.

(F-12 is still broken but we do not care.)
Comment 4 Bug Zapper 2010-07-30 06:37:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Admin XMLRPC Client 2011-01-05 22:23:41 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2012-08-16 17:55:54 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.